REST API ReferenceDashboard APIApps
Rotate an app's API key
PATCH
/apps/{id}/apiKeyRotate an app's API key. All previously active API keys for the app are revoked. Only the newly generated key stays active.
This endpoint does not require a request body. Existing clients using previously issued API keys will stop being able to ingest data until updated with the new key.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
id*string
App's UUID.
Format
uuidResponse Body
application/json
curl -X PATCH "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/apiKey"{ "apiKey": "msr_a5Hn7x..."}Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue